Commit 4a383909 authored by Kurt Zeilenga's avatar Kurt Zeilenga
Browse files

Update docs with references to appropriate FAQ-O-Matic pages.

parent a31de607
......@@ -4,8 +4,12 @@ Making and Installing the OpenLDAP Distribution
** It is recommended that you read or at least skim through ALL of the
** instructions in this file before attempting to build the software.
**
** The OpenLDAP Installation FAQ is available at:
** http://www.openldap.org/faq/index.cgi?file=8
**
** You should also check for platform specific hints.
** These are located in doc/install/hints.
** These are located in doc/install/hints or:
** http://www.openldap.org/faq/index.cgi?file=9
**
If you want to build binaries for more than one platform from a single
......
......@@ -80,14 +80,16 @@ DOCUMENTATION
doc/devel Developer Information
doc/drafts LDAP-related IETF drafts
doc/install Installation and Integration
doc/man Raw man(1) pages
doc/rfcs LDAP-related Request for Comments
doc/man Raw man(1) pages
doc/rfcs LDAP-related Request for Comments
There is an OpenLDAP homepage available that contains the latest
There is an OpenLDAP home page available that contains the latest
LDAP news, releases announcements, pointers to other LDAP resources,
etc. You can access it at this URL:
etc.. It is located at:
http://www.OpenLDAP.org/
http://www.OpenLDAP.org/
The OpenLDAP Software FAQ is available at:
http://www.openldap.org/faq/index.cgi?file=2
FEEDBACK / PROBLEM REPORTS / DISCUSSIONS
......
FreeBSD Hints
Lastest FreeBSD hints are available at:
http://www.openldap.org/faq/index.cgi?file=15
The following FreeBSD ports and packages may be useful:
databases/db Berkeley DB2
databases/db Berkeley DB 2.3.16
databases/gdbm GNU Database Manager
devel/autoconf GNU Autoconf
devel/libtool GNU Autoconf
......
Linux Hints
Latest: http://www.openldap.org/faq/index.cgi?file=18
If Berkeley DB 2.x should be used with thread support activated, read the
file build/db.2.x.README carefully. The Berkeley package must be build
appropriately to support threaded applications as expected.
......
......@@ -3,6 +3,8 @@ Sun Solaris Hints
** This file covers Solaris 2 and later releases. **
** Solaris 1.X is covered in the SunOS hints file. **
Latest Solaris hints are available at:
http://www.openldap.org/faq/index.cgi?file=10
Solaris 2.6, pthread_create() in -lc
......@@ -16,13 +18,15 @@ out-of-the-box settings with the error:
To resolve this problem, the installer must specify the
proper Pthreads libraries:
LIBS="-lpthread -lposix4"
LIBS="-lpthread -lposix4"; export LIBS
./configure
OR use Solaris (LWP) Threads
On some versions of Solaris, you may be able to use Solaris LWP
Threads:
./configure --with-threads=lwp
OR disable threads:
On some versions of Solaris, you may be able to build without
threads.
./configure --without-threads
......
......@@ -3,3 +3,4 @@ Sun SunOS Hints
** This file covers SunOS 4.X and eariler releases. **
** SunOS 5.X is covered in the Solaris hints file. **
http://www.openldap.org/faq/index.cgi?file=13
Last platform hints are available at:
http://www.openldap.org/faq/index.cgi?file=9
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment